ClientSubscription.h File Reference
`#include "UpnpString.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <time.h>`
Include dependency graph for ClientSubscription.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct s_ClientSubscription | ClientSubscription

## Functions

ClientSubscription * | GenlibClientSubscription_new ()
| Constructor. More...
void | GenlibClientSubscription_delete (ClientSubscription *p)
| Destructor. More...
ClientSubscription * | GenlibClientSubscription_dup (const ClientSubscription *p)
| Copy Constructor. More...
void | GenlibClientSubscription_assign (ClientSubscription *q, const ClientSubscription *p)
| Assignment operator. More...
int | GenlibClientSubscription_get_RenewEventId (const ClientSubscription *p)
void | GenlibClientSubscription_set_RenewEventId (ClientSubscription *p, int n)
const UpnpString * | GenlibClientSubscription_get_SID (const ClientSubscription *p)
const char * | GenlibClientSubscription_get_SID_cstr (const ClientSubscription *p)
void | GenlibClientSubscription_set_SID (ClientSubscription *p, const UpnpString *s)
void | GenlibClientSubscription_strcpy_SID (ClientSubscription *p, const char *s)
const UpnpString * | GenlibClientSubscription_get_ActualSID (const ClientSubscription *p)
const char * | GenlibClientSubscription_get_ActualSID_cstr (const ClientSubscription *p)
void | GenlibClientSubscription_set_ActualSID (ClientSubscription *p, const UpnpString *s)
void | GenlibClientSubscription_strcpy_ActualSID (ClientSubscription *p, const char *s)
const UpnpString * | GenlibClientSubscription_get_EventURL (const ClientSubscription *p)
void | GenlibClientSubscription_set_EventURL (ClientSubscription *p, const UpnpString *s)
void | GenlibClientSubscription_strcpy_EventURL (ClientSubscription *p, const char *s)
ClientSubscription * | GenlibClientSubscription_get_Next (const ClientSubscription *p)
void | GenlibClientSubscription_set_Next (ClientSubscription *p, ClientSubscription *q)

## Function Documentation

void GenlibClientSubscription_assign | ( | ClientSubscription * | q,
|  | const ClientSubscription * | p
| ) |  |

Assignment operator.

Parameters

  [in] | q | The this pointer.

void GenlibClientSubscription_delete | ( | ClientSubscription * | p | ) |

Destructor.

Parameters

  [in] | p | The this pointer.

References UpnpString_delete().

ClientSubscription* GenlibClientSubscription_dup | ( | const ClientSubscription * | p | ) |

Copy Constructor.

Parameters

  [in] | p | The this pointer.

const UpnpString* GenlibClientSubscription_get_ActualSID | ( | const ClientSubscription * | p | ) |

Parameters

  [in] | p | The this pointer.

const char* GenlibClientSubscription_get_ActualSID_cstr | ( | const ClientSubscription * | p | ) |

Parameters

  [in] | p | The this pointer.

References UpnpString_get_String().

const UpnpString* GenlibClientSubscription_get_EventURL | ( | const ClientSubscription * | p | ) |

Parameters

  [in] | p | The this pointer.

ClientSubscription* GenlibClientSubscription_get_Next | ( | const ClientSubscription * | p | ) |

Parameters

  [in] | p | The this pointer.

int GenlibClientSubscription_get_RenewEventId | ( | const ClientSubscription * | p | ) |

Parameters

  [in] | p | The this pointer.

const UpnpString* GenlibClientSubscription_get_SID | ( | const ClientSubscription * | p | ) |

Parameters

  [in] | p | The this pointer.

const char* GenlibClientSubscription_get_SID_cstr | ( | const ClientSubscription * | p | ) |

Parameters

  [in] | p | The this pointer.

References UpnpString_get_String().

ClientSubscription* GenlibClientSubscription_new | ( |  | ) |

Constructor.

References UpnpString_new().

void GenlibClientSubscription_set_ActualSID | ( | ClientSubscription * | p,
|  | const UpnpString * | s
| ) |  |

Parameters

  [in] | p | The this pointer.

References UpnpString_delete(), and UpnpString_dup().

void GenlibClientSubscription_set_EventURL | ( | ClientSubscription * | p,
|  | const UpnpString * | s
| ) |  |

Parameters

  [in] | p | The this pointer.

References UpnpString_delete(), and UpnpString_dup().

void GenlibClientSubscription_set_Next | ( | ClientSubscription * | p,
|  | ClientSubscription * | q
| ) |  |

Parameters

  [in] | p | The this pointer.

void GenlibClientSubscription_set_RenewEventId | ( | ClientSubscription * | p,
|  | int | n
| ) |  |

Parameters

  [in] | p | The this pointer.
  [in] | n | .

void GenlibClientSubscription_set_SID | ( | ClientSubscription * | p,
|  | const UpnpString * | s
| ) |  |

Parameters

  [in] | p | The this pointer.

References UpnpString_delete(), and UpnpString_dup().

void GenlibClientSubscription_strcpy_ActualSID | ( | ClientSubscription * | p,
|  | const char * | s
| ) |  |

Parameters

  [in] | p | The this pointer.

References UpnpString_delete(), UpnpString_new(), and UpnpString_set_String().

void GenlibClientSubscription_strcpy_EventURL | ( | ClientSubscription * | p,
|  | const char * | s
| ) |  |

Parameters

  [in] | p | The this pointer.

References UpnpString_delete(), UpnpString_new(), and UpnpString_set_String().

void GenlibClientSubscription_strcpy_SID | ( | ClientSubscription * | p,
|  | const char * | s
| ) |  |

Parameters

  [in] | p | The this pointer.

References UpnpString_delete(), UpnpString_new(), and UpnpString_set_String().